## lomiri-dialer-app 2.0.0

=== accounts/CMakeLists.txt ===
file(GLOB APPLICATION_FILES *.application)
install(FILES ${APPLICATION_FILES} DESTINATION share/accounts/applications/)
