=== src/CMakeLists.txt ===
include(FindGettext)

set(DIALER_APP lomiri-dialer-app)

set(dialer_app_HDRS
    dialerapplication.h
    dialpadsearch.h
    contactutils.h
    )

set(dialer_app_SRCS
    dialerapplication.cpp
    dialpadsearch.cpp
    contactutils.cpp
    main.cpp
    )

add_executable(${DIALER_APP}
    ${dialer_app_SRCS}
    )
qt5_use_modules(${DIALER_APP} Core DBus Gui Qml Quick Contacts)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    )

install(TARGETS ${DIALER_APP}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    )

configure_file(${DESKTOP_FILE}.in.in ${DESKTOP_FILE}.in)
add_custom_target(${DESKTOP_FILE} ALL
    COMMENT "Merging translations into ${DESKTOP_FILE}..."
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
            --desktop --template=${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in
            -o ${DESKTOP_FILE}
            -d ${CMAKE_SOURCE_DIR}/po
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
    DESTINATION ${CMAKE_INSTALL_DATADIR}/applications
    )

install(FILES "lomiri-dialer-app.url-dispatcher"
    DESTINATION ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls
    )

add_subdirectory(qml)
