=== debian/changelog ===
lomiri-dialer-app (2.0.0-4) unstable; urgency=medium

  * debian/patches:
    + Add 2003_disable-autopilot.patch. Disable autopilot packaging entirely.
  * debian/control:
    + Drop python3* from B-D.
  * debian/rules:
    + Drop dh_auto_install override. Not needed anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 31 Jan 2025 23:10:25 +0100

lomiri-dialer-app (2.0.0-3) unstable; urgency=medium

  * debian/patches:
    + Add 2001_hide-app-on-non-Lomiri-DEs.patch. Hide dialer app if session is
      not Lomiri.
    + Add 2002_disable-splash-screen.patch. Work around weird phenomen where the
      top window bar of the dialer app is inaccessible after app startup.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 Jan 2025 18:46:30 +0100

lomiri-dialer-app (2.0.0-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_DialerContactViewPage-add-phone-number-to-the-main-c.patch
      and 0002_fix-contact-edition.patch. Adapt to QtContacts-Sqlite contact
      backend.
    + Add 1001_fix-artwork-filenames.patch. Fix artwork file paths in .desktop
      file.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Jan 2025 15:40:18 +0100

lomiri-dialer-app (2.0.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1086514).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Oct 2024 13:44:26 +0200
