=== debian/control ===
Source: lomiri-dialer-app
Section: x11
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-python,
 intltool,
 pkgconf,
 qml-module-qt-labs-settings,
 qml-module-qtsysteminfo (>= 5.0~),
 qml-module-qtcontacts,
 qml-module-qttest,
 qml-module-lomiri-components,
 qml-module-lomiri-content,
 qml-module-lomiri-test,
 qml-module-lomiri-onlineaccounts,
 qml-module-ofono (>=0.117~) <!nocheck>,
 qtbase5-dev (>= 5.0),
 qtpim5-dev,
 qtdeclarative5-dev (>= 5.0),
 qtdeclarative5-dev-tools,
 qml-module-lomiri-addressbook,
 qml-module-lomiri-history | qml-module-lomiri-history0.1,
 qml-module-lomiri-telephony-phonenumber | qml-module-lomiri-telephony-phonenumber0.1,
 qml-module-lomiri-telephony | qml-module-lomiri-telephony0.1,
 xvfb,
 xauth,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-dialer-app
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-dialer-app.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-dialer-app

Package: lomiri-dialer-app
Architecture: any
Depends:
 qml-module-qt-labs-settings,
 qml-module-qtcontacts,
 qml-module-qtsysteminfo (>= 5.0~),
 qml-module-lomiri-components,
 qml-module-lomiri-content,
 qml-module-lomiri-onlineaccounts,
 qml-module-lomiri-addressbook,
 qml-module-lomiri-history | qml-module-lomiri-history0.1,
 qml-module-lomiri-telephony-phonenumber | qml-module-lomiri-telephony-phonenumber0.1,
 qml-module-lomiri-telephony | qml-module-lomiri-telephony0.1,
 qml-module-ofono (>=0.117~),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 lomiri
Description: Dialer App for Lomiri Operating Environment
 This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also supports convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides Lomiri's Dialer App.
